<link href="_lib/search.css" rel="stylesheet" type="text/css">
<link href="_lib/gradient.css" rel="stylesheet" type="text/css">
<a class="button" onclick="window.open('data:application/msexcel,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Excel</a>&nbsp;<a class="button" onclick="window.open('data:application/msword,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Word</a>
<?php
include 'config/koneksi.php';
include '_lib/fungsi_indotgl.php';	

//menampilkan data
$posisi  = 0;
$empty = "";
$tgl = date('Y-m-d', strtotime($_POST['tgl']));
$hakim = $_POST['hakim'];
if (empty($hakim)){
	$key = "";
} else {
	$key = "AND hakim_pn.nama_gelar = '$hakim'";
}
$hasil = mysql_query("SELECT perkara.perkara_id, 
perkara.nomor_perkara, 
perkara.pihak1_text, 
perkara.pihak2_text, 
perkara.tahapan_terakhir_text, 
perkara.proses_terakhir_text,
hakim_pn.nama_gelar AS nama_ketua_majelis, 
panitera_pn.nama_gelar AS nama_pp, 
jurusita.nama_gelar AS nama_js,
perkara_jadwal_sidang.ruangan, 
perkara_jadwal_sidang.sidang_keliling, 
DATEDIFF(CURRENT_DATE,perkara.tanggal_pendaftaran) AS lamaproses,
perkara_jadwal_sidang.agenda
FROM perkara_jadwal_sidang 
LEFT JOIN perkara ON perkara.perkara_id = perkara_jadwal_sidang.perkara_id 
LEFT JOIN perkara_hakim_pn ON perkara_hakim_pn.perkara_id = perkara.perkara_id
LEFT JOIN hakim_pn ON hakim_pn.id = perkara_hakim_pn.hakim_id
LEFT JOIN perkara_panitera_pn ON perkara_panitera_pn.perkara_id = perkara.perkara_id
LEFT JOIN panitera_pn ON  panitera_pn.id = perkara_panitera_pn.panitera_id
LEFT JOIN perkara_jurusita ON perkara_jurusita.perkara_id = perkara.perkara_id
LEFT JOIN jurusita ON  jurusita.id = perkara_jurusita.jurusita_id
WHERE perkara_hakim_pn.urutan = '1'
AND perkara_hakim_pn.aktif = 'Y'
AND perkara_panitera_pn.aktif = 'Y'
AND perkara_jadwal_sidang.tanggal_sidang = '$tgl'
$key
GROUP BY perkara.perkara_id 
ORDER BY hakim_pn.nama_gelar ASC") or die("Query failed with error: ".mysql_error());
echo "<div id='export'>";
echo "<h2>Jadwal Persidangan</h2><br>";
echo "<table align=center><tr>
    <th width='3%'>No.</th>
	<th width='13%'>Nomor Perkara</th>	
	<th width='15%'>Penggugat / Pemohon</th>
	<th width='15%'>Tergugat / Termohon</th>
	<th width='13%'>Ketua Majelis</th>
	<th width='13%'>Panitera Pengganti</th>
	<th width='7%'>Ruangan</th>
	<th width='7%'>Sidang Keliling</th>
	<th width='5%'>Lama Proses</th>
	<th width='10%'>Agenda</th></tr>";
	
$no = $posisi+1;
$totalperkara = mysql_num_rows($hasil);
$tgla = tgl_indo($tgl);
echo "<p align=left>Tanggal <b>$tgla</b></p><br>";
echo "<p align=left>Total : <b>$totalperkara</b> Perkara</p><br>";
while($r=mysql_fetch_array($hasil)){

  echo "<tr>
  <td align='center'>$no</td>
  <td>$r[nomor_perkara]</td>
  <td>$r[pihak1_text]</td>
  <td>$r[pihak2_text]</td>
  <td>$r[nama_ketua_majelis]</td>
  <td>$r[nama_pp]</td>
  <td align='center'>$r[ruangan]</td>
  <td align='center'>$r[sidang_keliling]</td>
  <td align='center'>$r[lamaproses] Hari</td>
  <td>$r[agenda]</tr>";
  $no++;
  }
echo "</table><br>";
?>